## com.imcode.imcms.servlet.admin
Class UserBrowser

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.imcode.imcms.servlet.admin.UserBrowser

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class UserBrowser

extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

Nested Class Summary
`static class` `UserBrowser.UserBrowserPage`

Field Summary
`static java.lang.String` `REQUEST_ATTRIBUTE__FORM_DATA`
`static java.lang.String` `REQUEST_ATTRIBUTE_PARAMETER__USER_BROWSE`
`static java.lang.String` `REQUEST_PARAMETER__ADD_USER`
`static java.lang.String` `REQUEST_PARAMETER__CANCEL_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__INCLUDE_INACTIVE_USERS`
`static java.lang.String` `REQUEST_PARAMETER__ROLE_ID`
`static java.lang.String` `REQUEST_PARAMETER__SEARCH_STRING`
`static java.lang.String` `REQUEST_PARAMETER__SELECT_USER_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__SHOW_USERS_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__USER_ID`

Constructor Summary
`UserBrowser()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__USER_ID

    public static final java.lang.String REQUEST_PARAMETER__USER_ID

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ROLE_ID

    public static final java.lang.String REQUEST_PARAMETER__ROLE_ID

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE_PARAMETER__USER_BROWSE

    public static final java.lang.String REQUEST_ATTRIBUTE_PARAMETER__USER_BROWSE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__SHOW_USERS_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__SHOW_USERS_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__SEARCH_STRING

    public static final java.lang.String REQUEST_PARAMETER__SEARCH_STRING

See Also:
  Constant Field Values

### REQUEST_PARAMETER__INCLUDE_INACTIVE_USERS

    public static final java.lang.String REQUEST_PARAMETER__INCLUDE_INACTIVE_USERS

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE__FORM_DATA

    public static final java.lang.String REQUEST_ATTRIBUTE__FORM_DATA

See Also:
  Constant Field Values

### REQUEST_PARAMETER__SELECT_USER_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__SELECT_USER_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ADD_USER

    public static final java.lang.String REQUEST_PARAMETER__ADD_USER

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CANCEL_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__CANCEL_BUTTON

See Also:
  Constant Field Values

Constructor Detail

### UserBrowser

    public UserBrowser()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`